Package twisted :: Package persisted :: Module aot :: Class AOTUnjellier

[frames | no frames]

## Class AOTUnjellier

I handle the unjellying of an Abstract Object Tree. See AOTUnjellier.unjellyAO

Method Summary
| `__init__(self)`
| `callAfter(self, callable, result)`
| `unjelly(self, ao)`
| ``unjellyAO`(self, ao)` Unjelly an Abstract Object and everything it contains.
| ``unjellyAttribute`(self, instance, attrName, ao)` Utility method for unjellying into instances of attributes.
| ``unjellyInto`(self, obj, loc, ao)` Utility method for unjellying one object into another.
| ``unjellyLater`(self, node)` Unjelly a node, later.

Method Details

### unjellyAO(self, ao)

Unjelly an Abstract Object and everything it contains. I return the real object.

### unjellyAttribute(self, instance, attrName, ao)

Utility method for unjellying into instances of attributes.

Use this rather than unjellyAO unless you like surprising bugs! Alternatively, you can use unjellyInto on your instance's __dict__.

### unjellyInto(self, obj, loc, ao)

Utility method for unjellying one object into another. This automates the handling of backreferences.

### unjellyLater(self, node)

Unjelly a node, later.

Generated by Epydoc 2.0 on Sat May 15 20:08:00 2004 | http://epydoc.sf.net